###>    Being Doom
# Player
execute as @a[tag=!doom.doom] if function doom:abilities/armor/is_wearing run function doom:abilities/attributes/apply
execute as @a[tag=doom.doom] unless function doom:abilities/armor/is_wearing run function doom:abilities/attributes/remove

###>    Fireball
# Entity
execute as @e[type=armor_stand,tag=doom.fireball.base] at @s run function doom:abilities/magic/fireball/update
# Player
scoreboard players remove @a[scores={doom.fireball_cooldown.large=1..}] doom.fireball_cooldown.large 1
scoreboard players remove @a[scores={doom.fireball_cooldown.small=1..}] doom.fireball_cooldown.small 1
scoreboard players remove @a[scores={doom.sonic_boom_cooldown=1..}] doom.sonic_boom_cooldown 1
execute as @a if data entity @s SelectedItem.components."minecraft:custom_data"."doom"."cooldown" run function doom:abilities/magic/hud_display/display_bar

###>    Flight
# Player
execute as @a[tag=doom.doom,tag=!doom.fly.flying,gamemode=!creative,gamemode=!spectator] at @s run function doom:abilities/flight/update_not
execute as @a[tag=doom.doom,tag=doom.fly.flying,gamemode=!creative,gamemode=!spectator] at @s run function doom:abilities/flight/update
execute as @a[tag=doom.fly.flying,gamemode=!adventure,gamemode=!survival] run function doom:abilities/flight/stop
execute as @a[tag=doom.fly.flying,tag=!doom.doom] run function doom:abilities/flight/stop

###>    Crafting
# Item
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{"doom":{"id":"empty_gauntlet"}}}}}] at @s if block ~ ~-.5 ~ enchanting_table run function doom:crafting/gauntlet_ready_update
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{"doom":{"id":"microphone"}}}}}] at @s if block ~ ~-.5 ~ enchanting_table run function doom:crafting/mic_boom_ready_update
# Sacrifice
execute as @e[type=wolf,tag=doom.sacrifice.wolf] run scoreboard players add @s doom.lifetime 1
execute as @e[type=goat,tag=doom.sacrifice.goat] run scoreboard players add @s doom.lifetime 1
execute as @a[tag=doom.wolf_sacrificer] run scoreboard players add @s doom.lifetime 1
execute as @a[tag=doom.goat_sacrificer] run scoreboard players add @s doom.lifetime 1
execute as @e[type=wolf,tag=doom.sacrifice.wolf,scores={doom.lifetime=40..}] at @s run function doom:abilities/magic/sacrifice_whistle/sacrifice
execute as @e[type=goat,tag=doom.sacrifice.goat,scores={doom.lifetime=40..}] at @s run function doom:abilities/magic/sacrifice_whistle/sacrifice