#####>          ---Update Function for Flying Players---            <#####


tag @s remove doom.fly.idle
execute unless predicate doom:jump unless predicate doom:sneak run tag @s add doom.fly.idle

##>     Player Controlled Movement
# Get Forward Input
#scoreboard players set $strength player_motion.api.launch 0
#execute if predicate doom:forward run scoreboard players set $strength player_motion.api.launch 100
# Set Forward Motion
#execute as @s at @s unless score $strength player_motion.api.launch matches 0 run function player_motion:api/launch_looking

# Store Position and Motion Data for Later
execute store result score $y doom.motion run data get entity @s Motion[1] 1000
execute store result score $y doom.pos run data get entity @s Pos[1] 10

# Get Up/Down Input
scoreboard players set $y player_motion.api.launch 0
execute if predicate doom:jump run attribute @s gravity modifier add doom.flight.up -0.2 add_value
execute unless predicate doom:jump run attribute @s gravity modifier remove doom.flight.up

execute if predicate doom:sneak run attribute @s gravity modifier add doom.flight.down 0.05 add_value
execute unless predicate doom:sneak run attribute @s gravity modifier remove doom.flight.down

execute as @s[tag=!doom.fly.idle] run attribute @s gravity modifier remove doom.flight.still
execute as @s[tag=doom.fly.idle] run function doom:abilities/flight/idle_attribute
#execute if predicate doom:jump if predicate doom:sneak run function doom:abilities/flight/freeze (Freeze when pressing both up and down keys)
#execute as @s[tag=doom.fly.idle] unless score $y doom.motion matches 0 run function doom:abilities/flight/freeze (Freeze on Idle if Moving)
# Run Positional Input Overrides
execute if score $y doom.pos matches 1900.. run tp @s ~ 189.99 ~
# Apply Lateral Motion with Player Motion Datapack: (Removed) execute as @s[tag=!doom.fly.idle] at @s unless score $y player_motion.api.launch matches 0 run function player_motion:api/launch_xyz

# Check if Should Stop Flying
execute as @s[nbt={OnGround:1b}] if predicate doom:sneak if score $y doom.motion matches ..1 unless block ~ ~-.5 ~ #mrlib:non_solid run function doom:abilities/flight/stop

# Particles at Hands
execute as @s positioned ~ ~.75 ~ positioned ^-.4 ^ ^ run particle dust{color:[0.0,1.0,0.0],scale:1.0} ~ ~ ~
execute as @s positioned ~ ~.75 ~ positioned ^.4 ^ ^ run particle dust{color:[0.0,1.0,0.0],scale:1.0} ~ ~ ~